{"info":{"title":"intelliHR Public API","version":"V1","description":"You can find developer's guide and more documentation on [https://developers.intellihr.io](https://developers.intellihr.io)","contact":{"name":"Customer Support","email":"support@intellihr.co"},"x-logo":{"url":"https://assets.intellihr.io/static/images/logos/IntelliHR-on-White-RGB.png","altText":"intelliHR logo","href":"https://intellihr.com"}},"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"You can generate and delete API keys through your intelliHR portal. API keys should be sent as `Authorization: Bearer <key>`","in":"header","name":"Authorization"}},"schemas":{"business-entities":{"type":"object","title":"Single Business Entity","properties":{"data":{"type":"object","title":"Business Entity","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Business Entity](#tag/Business-Entities).","type":"string"},"name":{"description":"Name given to this [Business Entity](#tag/Business-Entities). This name would normally be shown to users of the system.","example":"IntelliHR","type":"string"},"code":{"description":"Code given to this [Business Entity](#tag/Business-Entities)","example":"BE001","type":"string"},"legalName":{"description":"Legal name can be different from the name presented to a user. Usually used for administrative tasks.","example":"IntelliHR Systems Limited","type":"string"},"number":{"description":"Legally registered [Business Entity](#tag/Business-Entities) number, e.g. in Australia this might be the ABN, or in America the RN.","example":"00 000 000 000","type":"string"},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Business Entity](#tag/Business-Entities) in dropdowns."},"countrySpecificOnboardingSetupStatus":{"type":"string","description":"Indicates the status of country-specific onboarding setup for this [Business Entity](#tag/Business-Entities). Returns \"Disabled\" if the business entity is not in a country that requires a specific onboarding step. Returns \"Enabled\" if the entity is in a country that requires a specific onboarding step and has completed any relevant setup, \"Partially enabled\" if the relevant setup is not fully complete but it still supports the specific onboarding step, and \"Disabled with errors\" if there are any errors with the setup.","enum":["Enabled","Partially enabled","Disabled","Disabled with errors"],"example":"Enabled"},"customFields":{"description":"The custom field values for this [Business Entity](#tag/Business-Entities)","allOf":[{"$ref":"#/definitions/customFieldsResponse"}]}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}}}},"business-entities_create_request":{"type":"object","title":"Business Entity","properties":{"name":{"description":"Name given to this [Business Entity](#tag/Business-Entities). This name would normally be shown to users of the system.","example":"IntelliHR","type":"string"},"code":{"description":"Code given to this [Business Entity](#tag/Business-Entities)","example":"BE001","type":"string"},"legalName":{"description":"Legal name can be different from the name presented to a user. Usually used for administrative tasks.","example":"IntelliHR Systems Limited","type":"string"},"number":{"description":"Legally registered [Business Entity](#tag/Business-Entities) number, e.g. in Australia this might be the ABN, or in America the RN.","example":"00 000 000 000","type":"string"},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Business Entity](#tag/Business-Entities) in dropdowns."},"customFields":{"description":"The custom field values for this [Business Entity](#tag/Business-Entities)","type":"object","additionalProperties":{"type":"object","description":"Custom fields will be keyed by their api_name. Custom fields are not required, and any existing model defined custom fields will default to having null values.","properties":{"value":{"description":"The value for this custom field. This value structure will depend upon the type of the custom field.","anyOf":[{"type":"null","description":"The value will be null when a custom field is not provided or is empty for a record. Null can be provided to delete a custom field value."},{"type":"string","description":"For TEXT and NUMBER records, the value is stored as a string with the value of the record."},{"type":"object","properties":{"label":{"type":"string","description":"For SINGLE_SELECT records, the value is stored as an object with the label of the dropdown option. NOTE: Only the label needs to be provided. `id` is not required."}}},{"type":"object","properties":{"labels":{"type":"array","minItems":1,"description":"For MULTI_SELECT records, the value is stored as an object with an array of labels for all selected options. NOTE: Only the labels need to be provided. `ids` is not required.","items":{"type":"string"}}}},{"type":"array","items":{"type":"object","properties":{"person":{"type":"object","description":"For PEOPLE_DROPDOWN records, the value is an object with an array of the [Person](#tag/People) search object and their [Job](#tag/Jobs) search object. This [Person](#tags/people) is specified as a search object, which will match the person who best fits the keys for this object.\n      Multiple keys can be used together to further narrow search results (for example, if there are multiple people with the same name, email address\n      can be used as well to limit to a single person. A validation error will be thrown if this search is unable to be narrowed to a single [Person](#tags/people).","example":{"id":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","name":"Bruce Wayne","primaryEmailAddress":"bruce.wayne@example.com","employeeNumber":"00001","autoIncrementIntellihrId":"1000"},"properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tags/people) to locate in the system.","type":"string"},"name":{"type":"string","description":"The name of the [Person](#tags/people) in intelliHR to search for. Note that the search accounts for differences in name order automatically."},"primaryEmailAddress":{"type":"string","description":"The email address flagged as primary for the [Person](#tags/people) within the system."},"employeeNumber":{"type":"string","description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration."},"autoIncrementIntellihrId":{"type":"string","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration."},"autoIncrementingIntellihrId":{"type":"string","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","deprecated":true}}},"job":{"type":"object","description":"The [Job](#tag/Jobs) information of the [Person](#tag/People) is mandatory if the target PEOPLE_DROPDOWN custom field allows selecting individual jobs. If not, The [Job](#tag/Jobs) information is not mandatory.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/Job) of this [Job](#tag/Jobs).","type":"string"},"name":{"description":"The name/position title of the [Job](#tag/Jobs).","type":"string"}}}}}}]}}},"example":{"text_field_api_name":{"value":"Some text value"},"numeric_field_api_name":{"value":"50"},"single_select_api_name":{"value":{"label":"Drama"}},"multi_select_api_name":{"value":{"labels":["Bananas","Apples"]}},"people_dropdown_api_name":{"value":[{"person":{"id":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","name":"Bruce Wayne","primaryEmailAddress":"bruce.wayne@example.com","employeeNumber":"00001","autoIncrementIntellihrId":"1000"},"job":{"id":"569904c8-5d36-4c2f-afb0-525eeb8da32d","name":"Maintenance worker"}},{"person":{"id":"313fde44-f24e-4ec9-9473-0d0f3527222d","name":"Batman","primaryEmailAddress":"batman@example.com","employeeNumber":"00002","autoIncrementIntellihrId":"1001"},"job":{"id":"653304c8-5d36-4c2f-afb0-525eeb8da32d","name":"Janitor"}}]}}}},"required":["name"]},"business-entities_patch_request":{"type":"object","title":"Business Entity","properties":{"name":{"description":"Name given to this [Business Entity](#tag/Business-Entities). This name would normally be shown to users of the system.","example":"IntelliHR","type":"string"},"code":{"description":"Code given to this [Business Entity](#tag/Business-Entities)","example":"BE001","type":"string"},"legalName":{"description":"Legal name can be different from the name presented to a user. Usually used for administrative tasks.","example":"IntelliHR Systems Limited","type":"string"},"number":{"description":"Legally registered [Business Entity](#tag/Business-Entities) number, e.g. in Australia this might be the ABN, or in America the RN.","example":"00 000 000 000","type":"string"},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Business Entity](#tag/Business-Entities) in dropdowns."},"customFields":{"description":"The custom field values for this [Business Entity](#tag/Business-Entities)","type":"object","additionalProperties":{"type":"object","description":"Custom fields will be keyed by their api_name. Custom fields are not required, and only provided custom fields will be updated.","properties":{"value":{"description":"The value for this custom field. This value structure will depend upon the type of the custom field.","anyOf":[{"type":"null","description":"The value will be null when a custom field is not provided or is empty for a record. Null can be provided to delete a custom field value."},{"type":"string","description":"For TEXT and NUMBER records, the value is stored as a string with the value of the record."},{"type":"object","properties":{"label":{"type":"string","description":"For SINGLE_SELECT records, the value is stored as an object with the label of the dropdown option. NOTE: Only the label needs to be provided. `id` is not required."}}},{"type":"object","properties":{"labels":{"type":"array","minItems":1,"description":"For MULTI_SELECT records, the value is stored as an object with an array of labels for all selected options. NOTE: Only the labels need to be provided. `ids` is not required.","items":{"type":"string"}}}},{"type":"array","items":{"type":"object","properties":{"person":{"type":"object","description":"For PEOPLE_DROPDOWN records, the value is an object with an array of the [Person](#tag/People) search object and their [Job](#tag/Jobs) search object. This [Person](#tags/people) is specified as a search object, which will match the person who best fits the keys for this object.\n      Multiple keys can be used together to further narrow search results (for example, if there are multiple people with the same name, email address\n      can be used as well to limit to a single person. A validation error will be thrown if this search is unable to be narrowed to a single [Person](#tags/people).","example":{"id":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","name":"Bruce Wayne","primaryEmailAddress":"bruce.wayne@example.com","employeeNumber":"00001","autoIncrementIntellihrId":"1000"},"properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tags/people) to locate in the system.","type":"string"},"name":{"type":"string","description":"The name of the [Person](#tags/people) in intelliHR to search for. Note that the search accounts for differences in name order automatically."},"primaryEmailAddress":{"type":"string","description":"The email address flagged as primary for the [Person](#tags/people) within the system."},"employeeNumber":{"type":"string","description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration."},"autoIncrementIntellihrId":{"type":"string","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration."},"autoIncrementingIntellihrId":{"type":"string","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","deprecated":true}}},"job":{"type":"object","description":"The [Job](#tag/Jobs) information of the [Person](#tag/People) is mandatory if the target PEOPLE_DROPDOWN custom field allows selecting individual jobs. If not, The [Job](#tag/Jobs) information is not mandatory.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/Job) of this [Job](#tag/Jobs).","type":"string"},"name":{"description":"The name/position title of the [Job](#tag/Jobs).","type":"string"}}}}}}]}}},"example":{"text_field_api_name":{"value":"Some text value"},"numeric_field_api_name":{"value":"50"},"single_select_api_name":{"value":{"label":"Drama"}},"multi_select_api_name":{"value":{"labels":["Bananas","Apples"]}},"people_dropdown_api_name":{"value":[{"person":{"id":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","name":"Bruce Wayne","primaryEmailAddress":"bruce.wayne@example.com","employeeNumber":"00001","autoIncrementIntellihrId":"1000"},"job":{"id":"569904c8-5d36-4c2f-afb0-525eeb8da32d","name":"Maintenance worker"}},{"person":{"id":"313fde44-f24e-4ec9-9473-0d0f3527222d","name":"Batman","primaryEmailAddress":"batman@example.com","employeeNumber":"00002","autoIncrementIntellihrId":"1001"},"job":{"id":"653304c8-5d36-4c2f-afb0-525eeb8da32d","name":"Janitor"}}]}}}}},"business-entities_list":{"type":"object","title":"List of Business Entities","properties":{"data":{"type":"array","title":"data","items":{"type":"object","title":"Business Entity","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Business Entity](#tag/Business-Entities).","type":"string"},"name":{"description":"Name given to this [Business Entity](#tag/Business-Entities). This name would normally be shown to users of the system.","example":"IntelliHR","type":"string"},"code":{"description":"Code given to this [Business Entity](#tag/Business-Entities)","example":"BE001","type":"string"},"legalName":{"description":"Legal name can be different from the name presented to a user. Usually used for administrative tasks.","example":"IntelliHR Systems Limited","type":"string"},"number":{"description":"Legally registered [Business Entity](#tag/Business-Entities) number, e.g. in Australia this might be the ABN, or in America the RN.","example":"00 000 000 000","type":"string"},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Business Entity](#tag/Business-Entities) in dropdowns."},"countrySpecificOnboardingSetupStatus":{"type":"string","description":"Indicates the status of country-specific onboarding setup for this [Business Entity](#tag/Business-Entities). Returns \"Disabled\" if the business entity is not in a country that requires a specific onboarding step. Returns \"Enabled\" if the entity is in a country that requires a specific onboarding step and has completed any relevant setup, \"Partially enabled\" if the relevant setup is not fully complete but it still supports the specific onboarding step, and \"Disabled with errors\" if there are any errors with the setup.","enum":["Enabled","Partially enabled","Disabled","Disabled with errors"],"example":"Enabled"},"customFields":{"description":"The custom field values for this [Business Entity](#tag/Business-Entities)","allOf":[{"$ref":"#/definitions/customFieldsResponse"}]}}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"pagination":{"type":"object","description":"Contains information related to the pagination of the response","properties":{"total":{"type":"integer","description":"Total items count","minimum":0,"example":50},"count":{"type":"integer","description":"Number of items for current page","minimum":0,"example":10},"per_page":{"type":"integer","description":"Items per page limit","minimum":0,"example":10},"current_page":{"type":"integer","description":"Current page","minimum":1,"example":3},"total_pages":{"type":"integer","description":"Total number of pages","minimum":1,"example":5}}},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}},"links":{"type":"object","description":"Links to other related resources.","properties":{"self":{"type":"string","description":"The current page URL","example":"https://api.intellihr.io/v1/business-entities?limit=1&page=3"},"first":{"type":"string","description":"The first page URL","example":"https://api.intellihr.io/v1/business-entities?limit=1&page=1"},"prev":{"type":"string","description":"The previous page URL","example":"https://api.intellihr.io/v1/business-entities?limit=1&page=2"},"next":{"type":"string","description":"The next page URL","example":"https://api.intellihr.io/v1/business-entities?limit=1&page=4"},"last":{"type":"string","description":"The last page URL","example":"https://api.intellihr.io/v1/business-entities?limit=1&page=5"}}}}},"business-units":{"type":"object","title":"Response","properties":{"data":{"type":"object","title":"Business Unit","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Business Unit](#tag/Business-Units).","type":"string"},"identifier":{"description":"Optional identifier that can be used for administrative tasks.","example":"","type":"string"},"name":{"description":"Name given to this [Business Unit](#tag/Business-Units). This name would normally be shown to users of the system.","example":"Engineering","type":"string"},"code":{"description":"Code given to this [Business Unit](#tag/Business-Units)","example":"BE001","type":"string"},"notes":{"type":"string","description":"Notes attached to a [Business Unit](#tag/Business-Units)","example":""},"parentId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the parent [Business Unit](#tag/Business-Units), or null if there is no parent (this is a top level business unit).","oneOf":[{"type":"string"},{"type":"null"}]},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Business Unit](#tag/Business-Units) in dropdowns."},"customFields":{"description":"The custom field values for this [Business Unit](#tag/Business-Units)","allOf":[{"$ref":"#/definitions/customFieldsResponse"}]}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}}}},"business-units_create_request":{"type":"object","title":"Business Unit","properties":{"identifier":{"description":"Optional identifier that can be used for administrative tasks.","example":"","type":"string"},"name":{"description":"Name given to this [Business Unit](#tag/Business-Units). This name would normally be shown to users of the system.","example":"Engineering","type":"string"},"code":{"description":"Code given to this [Business Unit](#tag/Business-Units)","example":"BE001","type":"string"},"notes":{"type":"string","description":"Notes attached to a [Business Unit](#tag/Business-Units)","example":""},"parentId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the parent [Business Unit](#tag/Business-Units), or null if there is no parent (this is a top level business unit).","oneOf":[{"type":"string"},{"type":"null"}]},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Business Unit](#tag/Business-Units) in dropdowns."},"customFields":{"description":"The custom field values for this Business Unit","type":"object","additionalProperties":{"type":"object","description":"Custom fields will be keyed by their api_name. Custom fields are not required, and only provided custom fields will be updated.","properties":{"value":{"description":"The value for this custom field. This value structure will depend upon the type of the custom field.","anyOf":[{"type":"null","description":"The value will be null when a custom field is not provided or is empty for a record. Null can be provided to delete a custom field value."},{"type":"string","description":"For TEXT and NUMBER records, the value is stored as a string with the value of the record."},{"type":"object","properties":{"label":{"type":"string","description":"For SINGLE_SELECT records, the value is stored as an object with the label of the dropdown option. NOTE: Only the label needs to be provided. `id` is not required."}}},{"type":"object","properties":{"labels":{"type":"array","minItems":1,"description":"For MULTI_SELECT records, the value is stored as an object with an array of labels for all selected options. NOTE: Only the labels need to be provided. `ids` is not required.","items":{"type":"string"}}}},{"type":"array","items":{"type":"object","properties":{"person":{"type":"object","description":"For PEOPLE_DROPDOWN records, the value is an object with an array of the [Person](#tag/People) search object and their [Job](#tag/Jobs) search object. This [Person](#tags/people) is specified as a search object, which will match the person who best fits the keys for this object.\n      Multiple keys can be used together to further narrow search results (for example, if there are multiple people with the same name, email address\n      can be used as well to limit to a single person. A validation error will be thrown if this search is unable to be narrowed to a single [Person](#tags/people).","example":{"id":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","name":"Bruce Wayne","primaryEmailAddress":"bruce.wayne@example.com","employeeNumber":"00001","autoIncrementIntellihrId":"1000"},"properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tags/people) to locate in the system.","type":"string"},"name":{"type":"string","description":"The name of the [Person](#tags/people) in intelliHR to search for. Note that the search accounts for differences in name order automatically."},"primaryEmailAddress":{"type":"string","description":"The email address flagged as primary for the [Person](#tags/people) within the system."},"employeeNumber":{"type":"string","description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration."},"autoIncrementIntellihrId":{"type":"string","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration."},"autoIncrementingIntellihrId":{"type":"string","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","deprecated":true}}},"job":{"type":"object","description":"The [Job](#tag/Jobs) information of the [Person](#tag/People) is mandatory if the target PEOPLE_DROPDOWN custom field allows selecting individual jobs. If not, The [Job](#tag/Jobs) information is not mandatory.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/Job) of this [Job](#tag/Jobs).","type":"string"},"name":{"description":"The name/position title of the [Job](#tag/Jobs).","type":"string"}}}}}}]}}},"example":{"text_field_api_name":{"value":"Some text value"},"numeric_field_api_name":{"value":"50"},"single_select_api_name":{"value":{"label":"Drama"}},"multi_select_api_name":{"value":{"labels":["Bananas","Apples"]}},"people_dropdown_api_name":{"value":[{"person":{"id":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","name":"Bruce Wayne","primaryEmailAddress":"bruce.wayne@example.com","employeeNumber":"00001","autoIncrementIntellihrId":"1000"},"job":{"id":"569904c8-5d36-4c2f-afb0-525eeb8da32d","name":"Maintenance worker"}},{"person":{"id":"313fde44-f24e-4ec9-9473-0d0f3527222d","name":"Batman","primaryEmailAddress":"batman@example.com","employeeNumber":"00002","autoIncrementIntellihrId":"1001"},"job":{"id":"653304c8-5d36-4c2f-afb0-525eeb8da32d","name":"Janitor"}}]}}}},"required":["name"]},"business-units_patch_request":{"type":"object","title":"Business Unit","properties":{"identifier":{"description":"Optional identifier that can be used for administrative tasks.","example":"","type":"string"},"name":{"description":"Name given to this [Business Unit](#tag/Business-Units). This name would normally be shown to users of the system.","example":"Engineering","type":"string"},"code":{"description":"Code given to this [Business Unit](#tag/Business-Units)","example":"BE001","type":"string"},"notes":{"type":"string","description":"Notes attached to a [Business Unit](#tag/Business-Units)","example":""},"parentId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the parent [Business Unit](#tag/Business-Units), or null if there is no parent (this is a top level business unit).","oneOf":[{"type":"string"},{"type":"null"}]},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Business Unit](#tag/Business-Units) in dropdowns."},"customFields":{"description":"The custom field values for this Business Unit","type":"object","additionalProperties":{"type":"object","description":"Custom fields will be keyed by their api_name. Custom fields are not required, and only provided custom fields will be updated.","properties":{"value":{"description":"The value for this custom field. This value structure will depend upon the type of the custom field.","anyOf":[{"type":"null","description":"The value will be null when a custom field is not provided or is empty for a record. Null can be provided to delete a custom field value."},{"type":"string","description":"For TEXT and NUMBER records, the value is stored as a string with the value of the record."},{"type":"object","properties":{"label":{"type":"string","description":"For SINGLE_SELECT records, the value is stored as an object with the label of the dropdown option. NOTE: Only the label needs to be provided. `id` is not required."}}},{"type":"object","properties":{"labels":{"type":"array","minItems":1,"description":"For MULTI_SELECT records, the value is stored as an object with an array of labels for all selected options. NOTE: Only the labels need to be provided. `ids` is not required.","items":{"type":"string"}}}},{"type":"array","items":{"type":"object","properties":{"person":{"type":"object","description":"For PEOPLE_DROPDOWN records, the value is an object with an array of the [Person](#tag/People) search object and their [Job](#tag/Jobs) search object. This [Person](#tags/people) is specified as a search object, which will match the person who best fits the keys for this object.\n      Multiple keys can be used together to further narrow search results (for example, if there are multiple people with the same name, email address\n      can be used as well to limit to a single person. A validation error will be thrown if this search is unable to be narrowed to a single [Person](#tags/people).","example":{"id":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","name":"Bruce Wayne","primaryEmailAddress":"bruce.wayne@example.com","employeeNumber":"00001","autoIncrementIntellihrId":"1000"},"properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tags/people) to locate in the system.","type":"string"},"name":{"type":"string","description":"The name of the [Person](#tags/people) in intelliHR to search for. Note that the search accounts for differences in name order automatically."},"primaryEmailAddress":{"type":"string","description":"The email address flagged as primary for the [Person](#tags/people) within the system."},"employeeNumber":{"type":"string","description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration."},"autoIncrementIntellihrId":{"type":"string","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration."},"autoIncrementingIntellihrId":{"type":"string","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","deprecated":true}}},"job":{"type":"object","description":"The [Job](#tag/Jobs) information of the [Person](#tag/People) is mandatory if the target PEOPLE_DROPDOWN custom field allows selecting individual jobs. If not, The [Job](#tag/Jobs) information is not mandatory.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/Job) of this [Job](#tag/Jobs).","type":"string"},"name":{"description":"The name/position title of the [Job](#tag/Jobs).","type":"string"}}}}}}]}}},"example":{"text_field_api_name":{"value":"Some text value"},"numeric_field_api_name":{"value":"50"},"single_select_api_name":{"value":{"label":"Drama"}},"multi_select_api_name":{"value":{"labels":["Bananas","Apples"]}},"people_dropdown_api_name":{"value":[{"person":{"id":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","name":"Bruce Wayne","primaryEmailAddress":"bruce.wayne@example.com","employeeNumber":"00001","autoIncrementIntellihrId":"1000"},"job":{"id":"569904c8-5d36-4c2f-afb0-525eeb8da32d","name":"Maintenance worker"}},{"person":{"id":"313fde44-f24e-4ec9-9473-0d0f3527222d","name":"Batman","primaryEmailAddress":"batman@example.com","employeeNumber":"00002","autoIncrementIntellihrId":"1001"},"job":{"id":"653304c8-5d36-4c2f-afb0-525eeb8da32d","name":"Janitor"}}]}}}},"required":["name"]},"business-units_list":{"type":"object","title":"List of Business Units","properties":{"data":{"type":"array","title":"data","items":{"type":"object","title":"Business Unit","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Business Unit](#tag/Business-Units).","type":"string"},"identifier":{"description":"Optional identifier that can be used for administrative tasks.","example":"","type":"string"},"name":{"description":"Name given to this [Business Unit](#tag/Business-Units). This name would normally be shown to users of the system.","example":"Engineering","type":"string"},"code":{"description":"Code given to this [Business Unit](#tag/Business-Units)","example":"BE001","type":"string"},"notes":{"type":"string","description":"Notes attached to a [Business Unit](#tag/Business-Units)","example":""},"parentId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the parent [Business Unit](#tag/Business-Units), or null if there is no parent (this is a top level business unit).","oneOf":[{"type":"string"},{"type":"null"}]},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Business Unit](#tag/Business-Units) in dropdowns."},"customFields":{"description":"The custom field values for this [Business Unit](#tag/Business-Units)","allOf":[{"$ref":"#/definitions/customFieldsResponse"}]}}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"pagination":{"type":"object","description":"Contains information related to the pagination of the response","properties":{"total":{"type":"integer","description":"Total items count","minimum":0,"example":50},"count":{"type":"integer","description":"Number of items for current page","minimum":0,"example":10},"per_page":{"type":"integer","description":"Items per page limit","minimum":0,"example":10},"current_page":{"type":"integer","description":"Current page","minimum":1,"example":3},"total_pages":{"type":"integer","description":"Total number of pages","minimum":1,"example":5}}},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}},"links":{"type":"object","description":"Links to other related resources.","properties":{"self":{"type":"string","description":"The current page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=3"},"first":{"type":"string","description":"The first page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=1"},"prev":{"type":"string","description":"The previous page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=2"},"next":{"type":"string","description":"The next page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=4"},"last":{"type":"string","description":"The last page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=5"}}}}},"custom-field-definitions":{"type":"object","title":"Single Custom Field Definition","properties":{"data":{"type":"object","title":"Custom Field Definition","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Custom Field Definition](#tag/Custom-Field-Definitions).","type":"string"},"name":{"description":"Name given to this [Custom Field Definition](#tag/Custom-Field-Definitions). This name would normally be shown to users of the system.","example":"Custom Field","type":"string"},"apiName":{"description":"The api name given to this [Custom Field Definition](#tag/Custom-Field-Definitions). This name is used to uniquely identify the custom field in the api and is used as the key when modifying the custom field on a record.","example":"custom_field","type":"string"},"isEnabled":{"description":"Whether or not this [Custom Field Definition](#tag/Custom-Field-Definitions) is enabled to be used.","example":"false","type":"boolean"},"isSensitive":{"description":"Whether or not this [Custom Field Definition](#tag/Custom-Field-Definitions) is marked as sensitive information.","example":"false","type":"boolean"},"description":{"description":"The description of this [Custom Field Definition](#tag/Custom-Field-Definitions). This is used as a tooltip on the create and update pages.","example":"This field is used to describe the custom field.","oneOf":[{"type":"string"},{"type":"null"}]},"modelType":{"description":"The model that this custom field relates to and can be attached to. Enum: `ADDRESS`, `BUSINESS_ENTITY`, `BUSINESS_UNIT`, `EMAIL_ADDRESS`, `JOB`, `LOCATION`, `PERSON`, `POSITION_TITLE`, `PHONE_NUMBER`, `REMUNERATION`, `TRAINING`.","type":"string","example":"PERSON"},"type":{"description":"The type of data this field records. Enum: `SINGLE_SELECT`, `MULTI_SELECT`, `TEXT`, `NUMBER`, `PEOPLE_DROPDOWN`.","type":"string","example":"TEXT"},"definitions":{"title":"Definitions","type":"object","description":"This key's values change depending on the \"type\" key. It is used to store additional information pertinent to that key. For more information on custom field configurations, see our [knowledge base article on custom fields](https://intellihr.zendesk.com/hc/en-us/articles/4402637180303-Custom-Fields)"}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}}}},"custom-field-definitions_list":{"type":"object","title":"List of Custom Field Definitions","properties":{"data":{"type":"array","title":"data","items":{"type":"object","title":"Custom Field Definition","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Custom Field Definition](#tag/Custom-Field-Definitions).","type":"string"},"name":{"description":"Name given to this [Custom Field Definition](#tag/Custom-Field-Definitions). This name would normally be shown to users of the system.","example":"Custom Field","type":"string"},"apiName":{"description":"The api name given to this [Custom Field Definition](#tag/Custom-Field-Definitions). This name is used to uniquely identify the custom field in the api and is used as the key when modifying the custom field on a record.","example":"custom_field","type":"string"},"isEnabled":{"description":"Whether or not this [Custom Field Definition](#tag/Custom-Field-Definitions) is enabled to be used.","example":"false","type":"boolean"},"isSensitive":{"description":"Whether or not this [Custom Field Definition](#tag/Custom-Field-Definitions) is marked as sensitive information.","example":"false","type":"boolean"},"description":{"description":"The description of this [Custom Field Definition](#tag/Custom-Field-Definitions). This is used as a tooltip on the create and update pages.","example":"This field is used to describe the custom field.","oneOf":[{"type":"string"},{"type":"null"}]},"modelType":{"description":"The model that this custom field relates to and can be attached to. Enum: `ADDRESS`, `BUSINESS_ENTITY`, `BUSINESS_UNIT`, `EMAIL_ADDRESS`, `JOB`, `LOCATION`, `PERSON`, `POSITION_TITLE`, `PHONE_NUMBER`, `REMUNERATION`, `TRAINING`.","type":"string","example":"PERSON"},"type":{"description":"The type of data this field records. Enum: `SINGLE_SELECT`, `MULTI_SELECT`, `TEXT`, `NUMBER`, `PEOPLE_DROPDOWN`.","type":"string","example":"TEXT"},"definitions":{"title":"Definitions","type":"object","description":"This key's values change depending on the \"type\" key. It is used to store additional information pertinent to that key. For more information on custom field configurations, see our [knowledge base article on custom fields](https://intellihr.zendesk.com/hc/en-us/articles/4402637180303-Custom-Fields)"}}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"pagination":{"type":"object","description":"Contains information related to the pagination of the response","properties":{"total":{"type":"integer","description":"Total items count","minimum":0,"example":50},"count":{"type":"integer","description":"Number of items for current page","minimum":0,"example":10},"per_page":{"type":"integer","description":"Items per page limit","minimum":0,"example":10},"current_page":{"type":"integer","description":"Current page","minimum":1,"example":3},"total_pages":{"type":"integer","description":"Total number of pages","minimum":1,"example":5}}},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}},"links":{"type":"object","description":"Links to other related resources.","properties":{"self":{"type":"string","description":"The current page URL","example":"https://api.intellihr.io/v1/custom-field-definitions?limit=1&page=3"},"first":{"type":"string","description":"The first page URL","example":"https://api.intellihr.io/v1/custom-field-definitions?limit=1&page=1"},"prev":{"type":"string","description":"The previous page URL","example":"https://api.intellihr.io/v1/custom-field-definitions?limit=1&page=2"},"next":{"type":"string","description":"The next page URL","example":"https://api.intellihr.io/v1/custom-field-definitions?limit=1&page=4"},"last":{"type":"string","description":"The last page URL","example":"https://api.intellihr.io/v1/custom-field-definitions?limit=1&page=5"}}}}},"custom-field-definition_create_request":{"type":"object","title":"Custom Field Definition","properties":{"name":{"description":"Name given to this [Custom Field Definition](#tag/Custom-Field-Definitions). This name would normally be shown to users of the system.","example":"Custom Field","type":"string"},"apiName":{"description":"The api name given to this [Custom Field Definition](#tag/Custom-Field-Definitions). This name is used to uniquely identify the custom field in the api and is used as the key when modifying the custom field on a record.","example":"custom_field","type":"string"},"description":{"description":"The description of this [Custom Field Definition](#tag/Custom-Field-Definitions). This is used as a tooltip on the create and update pages.","example":"This field is used to describe the custom field.","oneOf":[{"type":"string"},{"type":"null"}]},"modelType":{"description":"The model that this custom field relates to and can be attached to. Enum: `ADDRESS`, `BUSINESS_ENTITY`, `BUSINESS_UNIT`, `EMAIL_ADDRESS`, `JOB`, `LOCATION`, `PERSON`, `POSITION_TITLE`, `PHONE_NUMBER`, `REMUNERATION`, `TRAINING`.","type":"string","example":"PERSON"},"type":{"description":"The type of data this field records. Enum: `SINGLE_SELECT`, `MULTI_SELECT`, `TEXT`, `NUMBER`, `PEOPLE_DROPDOWN`.","type":"string","example":"TEXT"},"isSensitive":{"description":"Whether or not this [Custom Field Definition](#tag/Custom-Field-Definitions) is marked as sensitive information.","example":"false","type":"boolean"},"selectDefinition":{"title":"The select definition of the custom field definition","description":"This field is becomes `required` with type `MULTI_SELECT` or `SINGLE_SELECT`","type":"object","properties":{"options":{"type":"array","description":"List of options","title":"options","items":{"type":"object","properties":{"label":{"description":"The option name of the custom field","type":"string"},"isEnabled":{"description":"If this option can be selected or not","type":"boolean"}}}}}},"textDefinition":{"title":"Optionally add text validation of the custom field definition","description":"This field is used in conjunction with type `TEXT`","type":"object","properties":{"regex":{"type":"string"},"validationError":{"type":"string"}}},"peopleDropdownDefinition":{"title":"The people dropdown definition of the custom field definition","description":"This field is `required` when type `PEOPLE_DROPDOWN` is used","properties":{"allowSelectingIndividualJobs":{"description":"Optionally include jobs as custom field","type":"boolean"}}}},"required":["name","apiName","modelType","type"]},"custom-field-definition_patch_request":{"type":"object","title":"Custom Field Definition","properties":{"name":{"description":"Name given to this [Custom Field Definition](#tag/Custom-Field-Definitions). This name would normally be shown to users of the system.","example":"Custom Field","type":"string"},"description":{"description":"The description of this [Custom Field Definition](#tag/Custom-Field-Definitions). This is used as a tooltip on the create and update pages.","example":"This field is used to describe the custom field.","oneOf":[{"type":"string"},{"type":"null"}]},"isEnabled":{"description":"Whether or not this [Custom Field Definition](#tag/Custom-Field-Definitions) is enabled to be used.","example":"false","type":"boolean"},"isSensitive":{"description":"Whether or not this [Custom Field Definition](#tag/Custom-Field-Definitions) is marked as sensitive information.","example":"false","type":"boolean"},"selectDefinition":{"title":"The select definition of the custom field definition","description":"This field is becomes `required` with type `MULTI_SELECT` or `SINGLE_SELECT`","type":"object","properties":{"options":{"type":"array","description":"List of options","title":"options","items":{"type":"object","required":["id"],"properties":{"id":{"description":"The unique identifier of the option","type":"string","example":"2b6ba8ae-a10c-43a5-b786-f230f73f411a"},"label":{"description":"The option name of the custom field","type":"string","example":"Favorite Pizza"},"isEnabled":{"description":"If this option can be selected or not","type":"boolean","example":true}}}}}},"peopleDropdownDefinition":{"title":"The people dropdown definition of the custom field definition","description":"This field is used in conjunction with type `PEOPLE_DROPDOWN`","properties":{"allowSelectingIndividualJobs":{"description":"Optionally include jobs as custom field","type":"boolean"}}}}},"default-remuneration-components":{"type":"object","title":"Single Default Remuneration Component","properties":{"data":{"type":"object","title":"Default Remuneration Component","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Default Remuneration Component](#tag/Default-Remuneration-Components).","type":"string"},"name":{"description":"Name given to this [Default Remuneration Component](#tag/Default-Remuneration-Components). This name would normally be shown to users of the system.","example":"Superannuation","type":"string"},"value":{"description":"The value of this remuneration component. For multipleOfBase this is the multiplier while for fixed amount this is the amount to directly add to the total.","example":"0.09","type":"string"},"isInUse":{"description":"Whether this [Default Remuneration Component](#tag/Default-Remuneration-Components) is used as any remuneration components.","example":true,"type":"boolean"},"automaticallyAddToJobs":{"description":"Whether this [Default Remuneration Component](#tag/Default-Remuneration-Components) is automatically added to newly created/updated jobs.","type":"boolean","example":false},"isEnabled":{"description":"If this [Default Remuneration Component](#tag/Default-Remuneration-Components) is enabled for use in the system.","type":"boolean","example":true},"currency":{"title":"Currency code","description":"The currency used for this [Default Remuneration Component](#tag/Default-Remuneration-Components). An international currency code. Typically AUD for Australian dollar, USD for American dollar etc. See [Official list of codes](https://www.iban.com/currency-codes).","example":"AUD","pattern":"^[A-Z]{3}$","oneOf":[{"type":"string"},{"type":"null"}]},"type":{"description":"The type of this [Default Remuneration Component](#tag/Default-Remuneration-Components). Enum: `AdditionToBase`, `AdditionToTotal`, `DeductionToBase`, `Breakdown`.","type":"string","example":"AdditionToTotal"},"valueType":{"description":"The type of the value of this [Default Remuneration Component](#tag/Default-Remuneration-Components). Enum: `MultipleOfBase`, `FixedAmount`.","type":"string","example":"MultipleOfBase"}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}}}},"default-remuneration-components_list":{"type":"object","title":"List of Default Remuneration Components","properties":{"data":{"type":"array","title":"data","items":{"type":"object","title":"Default Remuneration Component","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Default Remuneration Component](#tag/Default-Remuneration-Components).","type":"string"},"name":{"description":"Name given to this [Default Remuneration Component](#tag/Default-Remuneration-Components). This name would normally be shown to users of the system.","example":"Superannuation","type":"string"},"value":{"description":"The value of this remuneration component. For multipleOfBase this is the multiplier while for fixed amount this is the amount to directly add to the total.","example":"0.09","type":"string"},"isInUse":{"description":"Whether this [Default Remuneration Component](#tag/Default-Remuneration-Components) is used as any remuneration components.","example":true,"type":"boolean"},"automaticallyAddToJobs":{"description":"Whether this [Default Remuneration Component](#tag/Default-Remuneration-Components) is automatically added to newly created/updated jobs.","type":"boolean","example":false},"isEnabled":{"description":"If this [Default Remuneration Component](#tag/Default-Remuneration-Components) is enabled for use in the system.","type":"boolean","example":true},"currency":{"title":"Currency code","description":"The currency used for this [Default Remuneration Component](#tag/Default-Remuneration-Components). An international currency code. Typically AUD for Australian dollar, USD for American dollar etc. See [Official list of codes](https://www.iban.com/currency-codes).","example":"AUD","pattern":"^[A-Z]{3}$","oneOf":[{"type":"string"},{"type":"null"}]},"type":{"description":"The type of this [Default Remuneration Component](#tag/Default-Remuneration-Components). Enum: `AdditionToBase`, `AdditionToTotal`, `DeductionToBase`, `Breakdown`.","type":"string","example":"AdditionToTotal"},"valueType":{"description":"The type of the value of this [Default Remuneration Component](#tag/Default-Remuneration-Components). Enum: `MultipleOfBase`, `FixedAmount`.","type":"string","example":"MultipleOfBase"}}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"pagination":{"type":"object","description":"Contains information related to the pagination of the response","properties":{"total":{"type":"integer","description":"Total items count","minimum":0,"example":50},"count":{"type":"integer","description":"Number of items for current page","minimum":0,"example":10},"per_page":{"type":"integer","description":"Items per page limit","minimum":0,"example":10},"current_page":{"type":"integer","description":"Current page","minimum":1,"example":3},"total_pages":{"type":"integer","description":"Total number of pages","minimum":1,"example":5}}},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}},"links":{"type":"object","description":"Links to other related resources.","properties":{"self":{"type":"string","description":"The current page URL","example":"https://api.intellihr.io/v1/default-remuneration-components?limit=1&page=3"},"first":{"type":"string","description":"The first page URL","example":"https://api.intellihr.io/v1/default-remuneration-components?limit=1&page=1"},"prev":{"type":"string","description":"The previous page URL","example":"https://api.intellihr.io/v1/default-remuneration-components?limit=1&page=2"},"next":{"type":"string","description":"The next page URL","example":"https://api.intellihr.io/v1/default-remuneration-components?limit=1&page=4"},"last":{"type":"string","description":"The last page URL","example":"https://api.intellihr.io/v1/default-remuneration-components?limit=1&page=5"}}}}},"employment-conditions":{"type":"object","title":"Single Employment Condition","properties":{"data":{"type":"object","title":"Employment Condition","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Employment Condition](#tag/Employment-Conditions).","type":"string"},"name":{"description":"Name given to this [Employment Condition](#tag/Employment-Conditions). This name would normally be shown to users of the system.","example":"Professional Employees Award 2010","type":"string"},"awardName":{"description":"Award name can be different from the name presented to a user. Usually used for the legal name of the award.","example":"MA000065: Professional Employees Award 2010 - Fair Work Commission","oneOf":[{"type":"string"},{"type":"null"}]},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Employment Condition](#tag/Employment-Conditions) in dropdowns."}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}}}},"employment-conditions_list":{"type":"object","title":"List of Employment Conditions","properties":{"data":{"type":"array","title":"data","items":{"type":"object","title":"Employment Condition","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Employment Condition](#tag/Employment-Conditions).","type":"string"},"name":{"description":"Name given to this [Employment Condition](#tag/Employment-Conditions). This name would normally be shown to users of the system.","example":"Professional Employees Award 2010","type":"string"},"awardName":{"description":"Award name can be different from the name presented to a user. Usually used for the legal name of the award.","example":"MA000065: Professional Employees Award 2010 - Fair Work Commission","oneOf":[{"type":"string"},{"type":"null"}]},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Employment Condition](#tag/Employment-Conditions) in dropdowns."}}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"pagination":{"type":"object","description":"Contains information related to the pagination of the response","properties":{"total":{"type":"integer","description":"Total items count","minimum":0,"example":50},"count":{"type":"integer","description":"Number of items for current page","minimum":0,"example":10},"per_page":{"type":"integer","description":"Items per page limit","minimum":0,"example":10},"current_page":{"type":"integer","description":"Current page","minimum":1,"example":3},"total_pages":{"type":"integer","description":"Total number of pages","minimum":1,"example":5}}},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}},"links":{"type":"object","description":"Links to other related resources.","properties":{"self":{"type":"string","description":"The current page URL","example":"https://api.intellihr.io/v1/employment-conditions?limit=1&page=3"},"first":{"type":"string","description":"The first page URL","example":"https://api.intellihr.io/v1/employment-conditions?limit=1&page=1"},"prev":{"type":"string","description":"The previous page URL","example":"https://api.intellihr.io/v1/employment-conditions?limit=1&page=2"},"next":{"type":"string","description":"The next page URL","example":"https://api.intellihr.io/v1/employment-conditions?limit=1&page=4"},"last":{"type":"string","description":"The last page URL","example":"https://api.intellihr.io/v1/employment-conditions?limit=1&page=5"}}}}},"leave_create_request":{"type":"object","required":["jobId","leaveType","startDate","endDate"],"properties":{"jobId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/jobs) that this extended leave belongs to.","type":"string"},"startDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Extended Leave](#tag/extended-leave) started or will start. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).\n\n YYYY-MM-DD date formatting is also supported, although by using this format the date will be stored as the start of day in UTC time, not the requesting tenants timezone.","type":"string"},"endDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Extended Leave](#tag/extended-leave) is expected to end. Leave is created without a finalised return date. In order to create more than one Extended Leave on a Job, the end date must be finalised on the most recent created Extended Leave. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).\n\n YYYY-MM-DD date formatting is also supported, although by using this format the date will be stored as the start of day in UTC time, not the requesting tenants timezone.","type":"string"},"leaveType":{"type":"object","description":"[Extended Leave Type](#tag/extended-leave-types) of this Extended Leave. This [Extended Leave Type](#tag/extended-leave-types) is specified as a search object, which will match the leave type which best fits the keys for this object. Multiple keys can be used together to further narrow search results.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Extended Leave Type](#tag/extended-leave-types).","type":"string"},"name":{"type":"string","description":"The name of the [Extended Leave Type](#tag/extended-leave-types).","example":"Long Service"}}},"fte":{"type":"string","description":"The full time equivalent for this [Job](#tag/jobs) if changing during this leave period.","example":"1"}}},"leave_create_response":{"type":"object","title":"Single Extended Leave","properties":{"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"workflowEvent":{"type":"string","description":"An link to fetch all [Workflows](#tags/workflows) that belong under the Workflow Event for this Extended Leave creation.","example":"https://api.intellihr.io/v1/workflow-events/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"},"workflowEventId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Workflow Event](#tags/workflow-events).","type":"string"},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}},"data":{"type":"object","title":"Extended Leave","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Extended Leave](#tag/extended-leave).","type":"string"},"startDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Extended Leave](#tag/extended-leave) started or will start. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"endDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Extended Leave](#tag/extended-leave) started or will start. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"isEndDateConfirmed":{"type":"boolean","description":"Whether the end date has been finalised for this [Extended Leave](#tag/extended-leave).","example":false},"leaveType":{"type":"object","title":"Extended Leave Type","description":"The [Extended Leave Type](#tag/extended-leave-types) of Extended Leave.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Extended Leave Type](#tag/extended-leave-types).","type":"string"},"name":{"description":"Name given to this [Extended Leave Type](#tag/extended-leave-types). This name would normally be shown to users of the system.","example":"Long Service","type":"string"}}},"job":{"type":"object","title":"Job","description":"The [Job](#tag/jobs) that this Extended Leave belongs to.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/jobs) that this Extended Leave belongs to.","type":"string"},"name":{"type":"string","description":"The name/position title of this [Job](#tags/jobs).","example":"Software Engineer"},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/jobs/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}},"person":{"type":"object","description":"The [Person](#tag/People) to whom this Extended Leave belongs to.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tag/People) to whom this Extended Leave belongs to.","type":"string"},"displayName":{"type":"string","description":"Name to display throughout the system for this [Person](#tags/people). Generally follows the pattern preferredName (firstName) lastName, but can be configured on a tenant-wide basis to be a different format.","example":"Batman (Bruce) Wayne"},"employeeNumber":{"description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":"00001","oneOf":[{"type":"string"},{"type":"null"}]},"autoIncrementIntellihrId":{"type":"number","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":1000},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/people/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}}}}}},"leave_update_request":{"type":"object","required":["jobId","endDate"],"properties":{"jobId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/jobs) that this extended leave belongs to.","type":"string"},"shouldNotFinaliseEndDate":{"type":"boolean","description":"Whether or not to finalise the end date for the [Extended Leave](#tag/extended-leave). This boolean will change the input variables required if you are finalising an Extended Leave or just updating it. Finalising the end date prevents any further changes to this Extended Leave.","default":false,"example":false},"startDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Extended Leave](#tag/extended-leave) started or will start. This field is only required if not finalising the Extended Leave end date, and will not be used if shouldNotFinaliseEndDate is not set or is set to false. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).\n\n YYYY-MM-DD date formatting is also supported, although by using this format the date will be stored as the start of day in UTC time, not the requesting tenants timezone.","type":"string"},"endDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Extended Leave](#tag/extended-leave) is expected to end. Leave is created without a finalised return date. In order to create more than one Extended Leave on a Job, the end date must be finalised on the most recent created Extended Leave. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).\n\n YYYY-MM-DD date formatting is also supported, although by using this format the date will be stored as the start of day in UTC time, not the requesting tenants timezone.","type":"string"},"leaveType":{"type":"object","description":"[Extended Leave Type](#tag/extended-leave-types) of this Extended Leave. This [Extended Leave Type](#tag/extended-leave-types) is specified as a search object, which will match the leave type which best fits the keys for this object. Multiple keys can be used together to further narrow search results. This field is only required if not finalising the Extended Leave end date, and will not be used if shouldNotFinaliseEndDate is not set or is set to false.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Extended Leave Type](#tag/extended-leave-types).","type":"string"},"name":{"type":"string","description":"The name of the [Extended Leave Type](#tag/extended-leave-types).","example":"Long Service"}}},"fte":{"type":"string","description":"The full time equivalent for this [Job](#tag/jobs) upon returning from Extended Leave. This field is only required when finalising the Extended Leave end date, and will not be used if shouldNotFinaliseEndDate is set to true.","example":"1"}}},"leave_update_response":{"type":"object","title":"Single Extended Leave","properties":{"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"workflowEvent":{"description":"This field will be returned when finalising the Extended Leave. If shouldNotFinaliseEndDate is set to true, no workflowEvent link will be returned.","oneOf":[{"type":"string","description":"An link to fetch all [Workflows](#tags/workflows) that belong under the Workflow Event for this Extended Leave creation.","example":"https://api.intellihr.io/v1/workflow-events/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"},{"type":"null"}]},"workflowEventId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Workflow Event](#tags/workflow-events).","oneOf":[{"type":"string"},{"type":"null"}]},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}},"data":{"type":"object","title":"Extended Leave","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Extended Leave](#tag/extended-leave).","type":"string"},"startDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Extended Leave](#tag/extended-leave) started or will start. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"endDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Extended Leave](#tag/extended-leave) started or will start. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"isEndDateConfirmed":{"type":"boolean","description":"Whether the end date has been finalised for this [Extended Leave](#tag/extended-leave).","example":false},"leaveType":{"type":"object","title":"Extended Leave Type","description":"The [Extended Leave Type](#tag/extended-leave-types) of Extended Leave.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Extended Leave Type](#tag/extended-leave-types).","type":"string"},"name":{"description":"Name given to this [Extended Leave Type](#tag/extended-leave-types). This name would normally be shown to users of the system.","example":"Long Service","type":"string"}}},"job":{"type":"object","title":"Job","description":"The [Job](#tag/jobs) that this Extended Leave belongs to.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/jobs) that this Extended Leave belongs to.","type":"string"},"name":{"type":"string","description":"The name/position title of this [Job](#tags/jobs).","example":"Software Engineer"},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/jobs/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}},"person":{"type":"object","description":"The [Person](#tag/People) to whom this Extended Leave belongs to.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tag/People) to whom this Extended Leave belongs to.","type":"string"},"displayName":{"type":"string","description":"Name to display throughout the system for this [Person](#tags/people). Generally follows the pattern preferredName (firstName) lastName, but can be configured on a tenant-wide basis to be a different format.","example":"Batman (Bruce) Wayne"},"employeeNumber":{"description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":"00001","oneOf":[{"type":"string"},{"type":"null"}]},"autoIncrementIntellihrId":{"type":"number","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":1000},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/people/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}}}}}},"extended-leave-types":{"type":"object","title":"Single Extended Leave Type","properties":{"data":{"type":"object","title":"Extended Leave Type","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Extended Leave Type](#tag/extended-leave-types).","type":"string"},"name":{"description":"Name given to this [Extended Leave Type](#tag/extended-leave-types). This name would normally be shown to users of the system.","example":"Long Service","type":"string"}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}}}},"extended-leave-types_list":{"type":"object","title":"List of Extended Leave Types","properties":{"data":{"type":"array","title":"data","items":{"type":"object","title":"Extended Leave Type","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Extended Leave Type](#tag/extended-leave-types).","type":"string"},"name":{"description":"Name given to this [Extended Leave Type](#tag/extended-leave-types). This name would normally be shown to users of the system.","example":"Long Service","type":"string"}}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"pagination":{"type":"object","description":"Contains information related to the pagination of the response","properties":{"total":{"type":"integer","description":"Total items count","minimum":0,"example":50},"count":{"type":"integer","description":"Number of items for current page","minimum":0,"example":10},"per_page":{"type":"integer","description":"Items per page limit","minimum":0,"example":10},"current_page":{"type":"integer","description":"Current page","minimum":1,"example":3},"total_pages":{"type":"integer","description":"Total number of pages","minimum":1,"example":5}}},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}},"links":{"type":"object","description":"Links to other related resources.","properties":{"self":{"type":"string","description":"The current page URL","example":"https://api.intellihr.io/v1/extended-leave-types?limit=1&page=3"},"first":{"type":"string","description":"The first page URL","example":"https://api.intellihr.io/v1/extended-leave-types?limit=1&page=1"},"prev":{"type":"string","description":"The previous page URL","example":"https://api.intellihr.io/v1/extended-leave-types?limit=1&page=2"},"next":{"type":"string","description":"The next page URL","example":"https://api.intellihr.io/v1/extended-leave-types?limit=1&page=4"},"last":{"type":"string","description":"The last page URL","example":"https://api.intellihr.io/v1/extended-leave-types?limit=1&page=5"}}}}},"forms":{"type":"object","title":"Single Form","properties":{"data":{"type":"object","title":"Form","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Form](#tag/Forms).","type":"string"},"issueDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Form](#tags/forms) was issued to the recipient. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"dueDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The due date for the recipient to complete this [Form](#tags/forms). This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","oneOf":[{"type":"string"},{"type":"null"}]},"reminderDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date a reminder notification will be sent out for this [Form](#tags/forms) if uncompleted. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","oneOf":[{"type":"string"},{"type":"null"}]},"accessCode":{"type":"string","description":"The authorization code required to access this form via a url.","example":"ABCDE12345"},"completedAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The date this [Form](#tags/forms) was completed. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","oneOf":[{"type":"string"},{"type":"null"}]},"formDesign":{"description":"The Form Design information for this [Form](#tag/Forms) instance","type":"object","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the Form Design.","type":"string"},"name":{"type":"string","description":"The name of this Form Design.","example":"Self Assessment"}}},"issuer":{"description":"The person who issued this [Form](#tag/Forms). This field will be null if no issuer is set.","oneOf":[{"type":"object","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tag/People).","type":"string"},"displayName":{"type":"string","description":"Name to display throughout the system for this [Person](#tags/people). Generally follows the pattern preferredName (firstName) lastName, but can be configured on a tenant-wide basis to be a different format.","example":"Batman (Bruce) Wayne"},"emailAddresses":{"type":"array","description":"An array of email addresses that belong to this Person.","items":{"type":"object","properties":{"email":{"description":"The actual email address.","oneOf":[{"type":"string"},{"type":"null","example":null}],"example":"bruce.wayne@batman.org"},"isPrimary":{"type":"boolean","description":"If this is a primary email address.","example":true},"isPersonal":{"type":"boolean","description":"If this is a personal email address.","example":false}}}},"employeeNumber":{"description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":"00001","oneOf":[{"type":"string"},{"type":"null"}]},"autoIncrementIntellihrId":{"type":"number","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":1000},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/people/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}},{"type":"null"}]},"subject":{"description":"The subject that this [Form](#tag/Forms) is about","type":"object","properties":{"job":{"type":"object","description":"The [Job](#tag/Jobs) of the respondent for this [Form](#tag/Forms)","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/Jobs).","type":"string"},"name":{"type":"string","description":"The name/position title of this [Job](#tag/Jobs).","example":"Janitor"},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/jobs/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}},"person":{"type":"object","description":"The subject [Person](#tag/People) of this [Form](#tag/Forms)","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tag/People).","type":"string"},"displayName":{"type":"string","description":"Name to display throughout the system for this [Person](#tags/people). Generally follows the pattern preferredName (firstName) lastName, but can be configured on a tenant-wide basis to be a different format.","example":"Batman (Bruce) Wayne"},"employeeNumber":{"description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":"00001","oneOf":[{"type":"string"},{"type":"null"}]},"autoIncrementIntellihrId":{"type":"number","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":1000},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/people/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}}}},"respondent":{"oneOf":[{"type":"object"},{"type":"null"}],"description":"The expected respondent for this [Form](#tag/Forms)","properties":{"job":{"type":"object","description":"The [Job](#tag/Jobs) of the respondent for this [Form](#tag/Forms)","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/Jobs).","type":"string"},"name":{"type":"string","description":"The name/position title of this [Job](#tag/Jobs).","example":"Janitor"},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/jobs/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}},"person":{"type":"object","description":"The respondent [Person](#tag/People) for this [Form](#tag/Forms)","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tag/People).","type":"string"},"displayName":{"type":"string","description":"Name to display throughout the system for this [Person](#tags/people). Generally follows the pattern preferredName (firstName) lastName, but can be configured on a tenant-wide basis to be a different format.","example":"Batman (Bruce) Wayne"},"emailAddresses":{"type":"array","description":"An array of email addresses that belong to this Person.","items":{"type":"object","properties":{"email":{"description":"The actual email address.","oneOf":[{"type":"string"},{"type":"null","example":null}],"example":"bruce.wayne@batman.org"},"isPrimary":{"type":"boolean","description":"If this is a primary email address.","example":true},"isPersonal":{"type":"boolean","description":"If this is a personal email address.","example":false}}}},"employeeNumber":{"description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":"00001","oneOf":[{"type":"string"},{"type":"null"}]},"autoIncrementIntellihrId":{"type":"number","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":1000},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/people/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}}}},"submitter":{"description":"The person who submitted this [Form](#tag/Forms), note that this can be different from the expected respondent. If this form has not been ccompleted, this will be null","oneOf":[{"type":"object","properties":{"job":{"description":"[Job](#tag/Jobs) to whom this [Form](#tag/Forms) expects a response from. This job value has been deprecated, you should now reference the job object within the respondent field.","oneOf":[{"type":"object","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/Jobs) to whom this [Form](#tag/Forms) belongs.","type":"string"},"name":{"type":"string","description":"The name/position title of this [Job](#tag/Jobs).","example":"Janitor"},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/jobs/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}},{"type":"null"}]},"person":{"type":"object","description":"[Person](#tag/People) to whom this [Form](#tag/Forms) expects a response from. Note that this person value has been deprecated, you should now reference the person object within the respondent field.","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tag/People) to whom this [Form](#tag/Forms) belongs.","type":"string"},"displayName":{"type":"string","description":"Name to display throughout the system for this [Person](#tags/people). Generally follows the pattern preferredName (firstName) lastName, but can be configured on a tenant-wide basis to be a different format.","example":"Batman (Bruce) Wayne"},"emailAddresses":{"type":"array","description":"An array of email addresses that belong to this Person.","items":{"type":"object","properties":{"email":{"description":"The actual email address.","oneOf":[{"type":"string"},{"type":"null","example":null}],"example":"bruce.wayne@batman.org"},"isPrimary":{"type":"boolean","description":"If this is a primary email address.","example":true},"isPersonal":{"type":"boolean","description":"If this is a personal email address.","example":false}}}},"employeeNumber":{"description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":"00001","oneOf":[{"type":"string"},{"type":"null"}]},"autoIncrementIntellihrId":{"type":"number","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":1000},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/people/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}}}},{"type":"null"}]},"answers":{"description":"An array of answers for this [Form](#tag/forms).  If this form has not been completed, this field will be null.","oneOf":[{"type":"array","items":{"type":"object","properties":{"fieldId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the field item relating to this answer.","type":"string"},"question":{"type":"string","description":"The question label relating to this field on the [Form](#tag/forms)","example":"Do you like intelliHR?"},"value":{"description":"An array of strings containing the answer values for this question. If this field was optional and unanswered, this field will be null.","oneOf":[{"type":"array","items":{"type":"string","example":"My Answer"}},{"type":"null"}]},"label":{"description":"An array of strings containing the Labels associated to the value of the answers. This is particularly useful for selection based questions where the label may be more user-friendly to the value of the selection. For text based answers, the value will be used.  If this field was optional and unanswered, this field will be null.","oneOf":[{"type":"array","items":{"type":"string","example":"bruce.wayne@batman.org"}},{"type":"null"}]}}},"example":[{"fieldId":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","question":"Please answer this text based question","value":["My answer"],"label":["My answer"]},{"fieldId":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","question":"Please select multiple options","value":["0","1"],"label":["Option 1","Option 2"]}]},{"type":"null"}]},"documentUploads":{"description":"A list of documents uploaded in this form.","type":"array","minItems":0,"items":{"type":"object","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the Documents to which [Form](#tag/Forms) belongs.","type":"string"},"url":{"description":"A downloadable Url of the document.","example":"http://{tenant}.internihr.ninja/api/domain/people/6ced7aed-adeb-4645-896a-5eaa21f4bf6e/attachments/0f1d4fb7-ef1b-4ca5-908f-1c73f489be04/download","type":"string"}}}},"job":{"deprecated":true,"description":"[Job](#tag/Jobs) to whom this [Form](#tag/Forms) expects a response from. This job value has been deprecated, you should now reference the job object within the respondent field.","oneOf":[{"type":"object","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/Jobs) to whom this [Form](#tag/Forms) belongs.","type":"string"},"name":{"type":"string","description":"The name/position title of this [Job](#tag/Jobs).","example":"Janitor"},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/jobs/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}},{"type":"null"}]},"person":{"deprecated":true,"description":"[Person](#tag/People) to whom this [Form](#tag/Forms) expects a response from. Note that this person value has been deprecated, you should now reference the person object within the respondent field.","oneOf":[{"type":"object","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Person](#tag/People) to whom this [Form](#tag/Forms) belongs.","type":"string"},"displayName":{"type":"string","description":"Name to display throughout the system for this [Person](#tags/people). Generally follows the pattern preferredName (firstName) lastName, but can be configured on a tenant-wide basis to be a different format.","example":"Batman (Bruce) Wayne"},"emailAddresses":{"type":"array","description":"An array of email addresses that belong to this Person.","items":{"properties":{"email":{"description":"The actual email address.","oneOf":[{"type":"string"},{"type":"null"}],"example":"bruce.wayne@batman.org"},"isPrimary":{"type":"boolean","description":"If this is a primary email address.","example":true},"isPersonal":{"type":"boolean","description":"If this is a personal email address.","example":false}}}},"employeeNumber":{"description":"A manually entered employee number that identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":"00001","oneOf":[{"type":"string"},{"type":"null"}]},"autoIncrementIntellihrId":{"type":"number","description":"An autogenerated number that uniquely identifies a [Person](#tags/people) in intelliHR. It may be hidden in the system's UI depending upon your tenant's configuration.","example":1000},"link":{"type":"string","title":"URL","description":"Link on the public api to get more information on this piece of data.","example":"https://api.intellihr.io/v1/people/8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9"}}},{"type":"null"}]}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}}}},"job-change-reasons":{"type":"object","title":"Response","properties":{"data":{"type":"object","title":"Job Change Reason","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job Change Reason](#tag/Job-Change-Reasons).","type":"string"},"name":{"description":"Name given to this [Job Change Reason](#tag/Job-Change-Reasons). This name would normally be shown to users of the system.","example":"Engineering","type":"string"},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Job Change Reason](#tag/Job-Change-Reasons) in dropdowns."}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}}}},"job-change-reasons_create_request":{"type":"object","title":"Job Change Reason","properties":{"name":{"description":"Name given to this [Job Change Reason](#tag/Job-Change-Reasons). This name would normally be shown to users of the system.","example":"Engineering","type":"string"},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Job Change Reason](#tag/Job-Change-Reasons) in dropdowns."}},"required":["name"]},"job-change-reasons_patch_request":{"type":"object","title":"Job Change Reason","properties":{"name":{"description":"Name given to this [Job Change Reason](#tag/Job-Change-Reasons). This name would normally be shown to users of the system.","example":"Engineering","type":"string"},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Job Change Reason](#tag/Job-Change-Reasons) in dropdowns."}}},"job-change-reasons_list":{"type":"object","title":"List of Job Change Reasons","properties":{"data":{"type":"array","title":"data","items":{"type":"object","title":"Job Change Reason","properties":{"id":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job Change Reason](#tag/Job-Change-Reasons).","type":"string"},"name":{"description":"Name given to this [Job Change Reason](#tag/Job-Change-Reasons). This name would normally be shown to users of the system.","example":"Engineering","type":"string"},"isEnabled":{"type":"boolean","description":"Specifies whether users can select this [Job Change Reason](#tag/Job-Change-Reasons) in dropdowns."}}}},"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"pagination":{"type":"object","description":"Contains information related to the pagination of the response","properties":{"total":{"type":"integer","description":"Total items count","minimum":0,"example":50},"count":{"type":"integer","description":"Number of items for current page","minimum":0,"example":10},"per_page":{"type":"integer","description":"Items per page limit","minimum":0,"example":10},"current_page":{"type":"integer","description":"Current page","minimum":1,"example":3},"total_pages":{"type":"integer","description":"Total number of pages","minimum":1,"example":5}}},"requestId":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the api request.","type":"string"}}},"links":{"type":"object","description":"Links to other related resources.","properties":{"self":{"type":"string","description":"The current page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=3"},"first":{"type":"string","description":"The first page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=1"},"prev":{"type":"string","description":"The previous page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=2"},"next":{"type":"string","description":"The next page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=4"},"last":{"type":"string","description":"The last page URL","example":"https://api.intellihr.io/v1/business-units?limit=1&page=5"}}}}},"job_end_patch_request":{"type":"object","properties":{"endDate":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The <b>exclusive</b> date this [Job](#tags/jobs) ended or will end within the organisation. For example, if the person's last working date is on 2025-04-23, the `endDate` should be set as 2025-04-24 to reflect the exclusive date. Required if not finalising an end date, or the job does not have an end date. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).\n\n YYYY-MM-DD date formatting is also supported, although by using this format the date will be stored as the start of day in UTC time, not the requesting tenants timezone.","type":"string"},"reassignDirectReportsTo":{"title":"UUIDv4","maxLength":36,"minLength":36,"example":"8a5f3ea6-ea6b-4425-8a87-3c256bb7b6f9","description":"The identifier string for the [Job](#tag/Jobs) of the person that the direct report will be reassigned to.","type":"string"},"turnoverType":{"type":"string","description":"The type of turnover this end of job would be classified as: `voluntary`, `involuntary` or `unknown`. Required if finalising an end date.","example":"involuntary"},"turnoverReason":{"type":"string","description":"The name of the turnover reason.","example":"Medical reasons"}}},"job_end_patch_response":{"type":"object","properties":{"meta":{"type":"object","description":"Contains miscellaneous meta information about the response.","properties":{"asAt":{"title":"RFC3339 datetime","example":"2015-03-01T22:30:00+00:00","description":"The point in time for which this response is for. This date will follow the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339#section-5.6).","type":"string"},"workflowEvent":{"description":"This field will be returned if the request does finalise the job end date. I.e. The query param shouldNotFinaliseEndDate is not set or is set to false","oneOf":[{"type":"string","description":"An link to fetch all [Workflows](#tags/workflows) that belong under the Workflow Event for this Job creation.","examp
[...]
